[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TField.Assign

Copy properties from one TField instance to another

## Declaration

Source position: db.pas line 372

`public procedure TField.Assign(`
`Source: TPersistent`
`); override;`

## Arguments

`Source` |  | Source field to copy value from.

## Description

Assign is overridden by TField to copy the field value (not the field properties) from Source if it exists. If Source is Nil then the value of the field is cleared.

## Errors

If Source is not a TField instance, then an exception will be raised.

## See also

TField.Value |  | Value of the field as a variant value

The latest version of this document can be found at lazarus-ccr.sourceforge.net.